Bug 961050 - Seeing warning message about Nokogiri build
Seeing warning message about Nokogiri build
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 11:49 EDT by Og Maciel
Modified: 2014-04-24 13:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-05-08 11:49:23 EDT
Description of problem:

Noticed the following error scroll by using today's nightly:

  WARNING: Nokogiri was built against LibXML version 2.9.0, but has dynamically loaded 2.7.6

Version-Release number of selected component (if applicable):

* candlepin-0.8.5-1.el6.noarch
* candlepin-selinux-0.8.5-1.el6.noarch
* candlepin-tomcat6-0.8.5-1.el6.noarch
* elasticsearch-0.19.9-7.el6.noarch
* foreman-1.1stable-30.3849429.el6.noarch
* foreman-postgresql-1.1stable-30.3849429.el6.noarch
* katello-1.4.2-1.git.222.82e7958.el6.noarch
* katello-all-1.4.2-1.git.222.82e7958.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-1.el6.noarch
* katello-cli-1.4.2-1.git.37.40869e0.el6.noarch
* katello-cli-common-1.4.2-1.git.37.40869e0.el6.noarch
* katello-common-1.4.2-1.git.222.82e7958.el6.noarch
* katello-configure-1.4.3-1.el6.noarch
* katello-configure-foreman-1.4.3-1.el6.noarch
* katello-glue-candlepin-1.4.2-1.git.222.82e7958.el6.noarch
* katello-glue-elasticsearch-1.4.2-1.git.222.82e7958.el6.noarch
* katello-glue-pulp-1.4.2-1.git.222.82e7958.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-repos-1.4.2-1.el6.noarch
* katello-selinux-1.4.3-1.git.3.ce8227b.el6.noarch
* pulp-rpm-plugins-2.1.1-0.10.beta.el6.noarch
* pulp-selinux-2.1.1-0.10.beta.el6.noarch
* pulp-server-2.1.1-0.10.beta.el6.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

==> /var/log/foreman/thin-log.5500.log <==
>> Maximum connections set to 1024
>> Listening on 127.0.0.1:5500, CTRL+C to stop
>> Exiting!
>> Writing PID to tmp/pids/thin.5500.pid
>> Changing process privilege to foreman:foreman
WARNING: Nokogiri was built against LibXML version 2.9.0, but has dynamically loaded 2.7.6
/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
Comment 2 Dominic Cleal 2013-09-19 14:22:24 EDT
Can we get the RPM version of the gem in question (ruby193-rubygem-nokogiri)?

It has been rebuilt for MDP2 too, so a re-test would be much appreciated.
Comment 3 Bryan Kearney 2013-09-19 15:08:52 EDT
This appears to be resolved in Snap2

>> Writing PID to tmp/pids/thin.5500.pid
>> Changing process privilege to foreman:foreman
>> Thin web server (v1.3.1 codename Triple Espresso)
>> Maximum connections set to 1024
>> Listening on 127.0.0.1:5500, CTRL+C to stop
WARNING: making https request to https://sat6.local/signo/user/admin without verifying server certificate; no CA path was specified.
WARNING: making https request to https://sat6.local/signo/provider without verifying server certificate; no CA path was specified.
Generated checkid_setup request to https://sat6.local/signo/provider with assocication {HMAC-SHA1}{523b4b0e}{a5h3PQ==}
~                                                                                                                                                                
~                                                                                                                                                                
~                                                                                                                                                                
~
Comment 4 Og Maciel 2013-09-27 16:09:53 EDT
Verified:
Verified:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-6.el6sat.noarch
* foreman-compute-1.3.0-6.el6sat.noarch
* foreman-libvirt-1.3.0-6.el6sat.noarch
* foreman-postgresql-1.3.0-6.el6sat.noarch
* foreman-proxy-1.3.0-1.el6sat.noarch
* katello-1.4.6-14.el6sat.noarch
* katello-all-1.4.6-14.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-15.el6sat.noarch
* katello-cli-common-1.4.3-15.el6sat.noarch
* katello-common-1.4.6-14.el6sat.noarch
* katello-configure-1.4.5-8.el6sat.noarch
* katello-configure-foreman-1.4.5-8.el6sat.noarch
* katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
* katello-foreman-all-1.4.6-14.el6sat.noarch
* katello-glue-candlepin-1.4.6-14.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-14.el6sat.noarch
* katello-glue-pulp-1.4.6-14.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
* pulp-server-2.3.0-0.14.alpha.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.20-3.el6sat.noarch
* signo-katello-0.0.20-3.el6sat.noarch
Comment 7 Bryan Kearney 2014-04-24 13:09:49 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:11:13 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.